aagc.vo

## Class StudioMedicoResponse

- java.lang.Object
- - aagc.vo.StudioMedicoResponse

-     public class StudioMedicoResponse
      extends java.lang.Object

  Classe Java per studioMedicoResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="studioMedicoResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codIstatComune" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="elencoOrari" type="{http://www.nsisr.puglia.it/Schemas/}orarioRicevimentoResponse" maxOccurs="unbounded" minOccurs="0"/>
               <element name="flag1Studio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indirizzo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nomeComune" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="telefono" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codIstatComune`
    `protected java.util.List<OrarioRicevimentoResponse>` | `elencoOrari`
    `protected java.lang.String` | `flag1Studio`
    `protected java.lang.String` | `indirizzo`
    `protected java.lang.String` | `nomeComune`
    `protected java.lang.String` | `telefono`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StudioMedicoResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodIstatComune()` Recupera il valore della proprietà codIstatComune.
    `java.util.List<OrarioRicevimentoResponse>` | `getElencoOrari()` Gets the value of the elencoOrari property.
    `java.lang.String` | `getFlag1Studio()` Recupera il valore della proprietà flag1Studio.
    `java.lang.String` | `getIndirizzo()` Recupera il valore della proprietà indirizzo.
    `java.lang.String` | `getNomeComune()` Recupera il valore della proprietà nomeComune.
    `java.lang.String` | `getTelefono()` Recupera il valore della proprietà telefono.
    `void` | `setCodIstatComune(java.lang.String value)` Imposta il valore della proprietà codIstatComune.
    `void` | `setFlag1Studio(java.lang.String value)` Imposta il valore della proprietà flag1Studio.
    `void` | `setIndirizzo(java.lang.String value)` Imposta il valore della proprietà indirizzo.
    `void` | `setNomeComune(java.lang.String value)` Imposta il valore della proprietà nomeComune.
    `void` | `setTelefono(java.lang.String value)` Imposta il valore della proprietà telefono.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codIstatComune

          protected java.lang.String codIstatComune

    - #### elencoOrari

          protected java.util.List<OrarioRicevimentoResponse> elencoOrari

    - #### flag1Studio

          protected java.lang.String flag1Studio

    - #### indirizzo

          protected java.lang.String indirizzo

    - #### nomeComune

          protected java.lang.String nomeComune

    - #### telefono

          protected java.lang.String telefono

  - ### Constructor Detail

    - #### StudioMedicoResponse

          public StudioMedicoResponse()

  - ### Method Detail

    - #### getCodIstatComune

          public java.lang.String getCodIstatComune()

      Recupera il valore della proprietà codIstatComune.
      Returns:
        possible object is `String`

    - #### setCodIstatComune

          public void setCodIstatComune(java.lang.String value)

      Imposta il valore della proprietà codIstatComune.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoOrari

          public java.util.List<OrarioRicevimentoResponse> getElencoOrari()

      Gets the value of the elencoOrari property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoOrari property.

      For example, to add a new item, do as follows:

              getElencoOrari().add(newItem);

      Objects of the following type(s) are allowed in the list `OrarioRicevimentoResponse`

    - #### getFlag1Studio

          public java.lang.String getFlag1Studio()

      Recupera il valore della proprietà flag1Studio.
      Returns:
        possible object is `String`

    - #### setFlag1Studio

          public void setFlag1Studio(java.lang.String value)

      Imposta il valore della proprietà flag1Studio.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndirizzo

          public java.lang.String getIndirizzo()

      Recupera il valore della proprietà indirizzo.
      Returns:
        possible object is `String`

    - #### setIndirizzo

          public void setIndirizzo(java.lang.String value)

      Imposta il valore della proprietà indirizzo.
      Parameters:
        `value` - allowed object is `String`

    - #### getNomeComune

          public java.lang.String getNomeComune()

      Recupera il valore della proprietà nomeComune.
      Returns:
        possible object is `String`

    - #### setNomeComune

          public void setNomeComune(java.lang.String value)

      Imposta il valore della proprietà nomeComune.
      Parameters:
        `value` - allowed object is `String`

    - #### getTelefono

          public java.lang.String getTelefono()

      Recupera il valore della proprietà telefono.
      Returns:
        possible object is `String`

    - #### setTelefono

          public void setTelefono(java.lang.String value)

      Imposta il valore della proprietà telefono.
      Parameters:
        `value` - allowed object is `String`